petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDTReconstructPoly

create matrix representing polynomial reconstruction using cell intervals and evaluation at target intervals

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTReconstructPoly(PetscInt degree,PetscInt nsource,const PetscReal *sourcex,PetscInt ntarget,const PetscReal *targetx,PetscReal *R)

Not Collective

### Input Arguments

| degree | - degree of reconstruction polynomial
| nsource | - number of source intervals
| sourcex | - sorted coordinates of source cell boundaries (length nsource+1)
| ntarget | - number of target intervals
| targetx | - sorted coordinates of target cell boundaries (length ntarget+1)

### Output Arguments

R -reconstruction matrix, utarget = sum_s R[t*nsource+s] * usource[s]

### See Also

PetscDTLegendreEval()

### Level

advanced

### Location

src/dm/dt/interface/dt.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages